#pragma once
#include "WiiRemoteCntl.h"
#include <process.h>

class WiiNunchaku :public CWiiRemoteCntl
{
public:
	WiiNunchaku(void);
	~WiiNunchaku(void);
	
	bool Initialize(void);
	bool RequestCalib(BYTE* input);
	bool RequestCalibExt(BYTE* input);
	bool RequestData(BYTE* input);
	bool SetLED_Vibration(BYTE setCommand);
	bool Finalize(void); 
	bool RequestState(BYTE* input);

private:
	//--Xbh֌W---------
	static unsigned __stdcall OnReceive(void*);
	HANDLE	hThread;
	bool isStartThread;
	//-----------------------

	void InitializeExtension();
	BYTE *ReadData(int address, int size);
	void ReadWiimoteCalibration();
	void CloseThread();
	bool WiiRemoteThread();
};
