#pragma once
#include "wiiremotecntl.h"
#include <process.h>

class WiiMotionPlus :
	public CWiiRemoteCntl
{
public:
	WiiMotionPlus(void);
	virtual ~WiiMotionPlus(void);

	bool Initialize(void);
	bool RequestCalib(BYTE* input);
	bool RequestCalibExt(BYTE* input);
	bool RequestData(BYTE* input);
	bool SetLED_Vibration(BYTE setCommand);
	bool Finalize(void); 
	bool RequestState(BYTE* input);
	BYTE* GetCalibrationData();

private:
	//--Xbh֌W---------
	static unsigned __stdcall OnReceive(void*);
	HANDLE	hThread;
	bool isStartThread;
	//-----------------------

	void InitializeExtension();
	BYTE *ReadData(int address, int size);
	void ReadWiimoteCalibration();
	void CloseThread();
	bool WiiRemoteThread();

};
